foundation-0.0.30: Alternative prelude with batteries and no dependencies

Safe Haskell | None
Language | Haskell2010

Foundation.Math.Trigonometry

Synopsis

- class Trigonometry a where
  - pi :: a
  - sin :: a -> a
  - cos :: a -> a
  - tan :: a -> a
  - asin :: a -> a
  - acos :: a -> a
  - atan :: a -> a
  - sinh :: a -> a
  - cosh :: a -> a
  - tanh :: a -> a
  - asinh :: a -> a
  - acosh :: a -> a
  - atanh :: a -> a

# Documentation

class Trigonometry a where #

Method to support basic trigonometric functions

Methods

pi :: a #

the famous pi value

sin :: a -> a #

sine

cos :: a -> a #

cosine

tan :: a -> a #

tan

asin :: a -> a #

sine-1

acos :: a -> a #

cosine-1

atan :: a -> a #

tangent-1

sinh :: a -> a #

hyperbolic sine

cosh :: a -> a #

hyperbolic cosine

tanh :: a -> a #

hyperbolic tangent

asinh :: a -> a #

hyperbolic sine-1

acosh :: a -> a #

hyperbolic cosine-1

atanh :: a -> a #

hyperbolic tangent-1

#### Instances

Instances details

Trigonometry Double # |
Instance details Defined in Foundation.Math.Trigonometry Methods pi :: Double # sin :: Double -> Double # cos :: Double -> Double # tan :: Double -> Double # asin :: Double -> Double # acos :: Double -> Double # atan :: Double -> Double # sinh :: Double -> Double # cosh :: Double -> Double # tanh :: Double -> Double # asinh :: Double -> Double # acosh :: Double -> Double # atanh :: Double -> Double #
Trigonometry Float # |
Instance details Defined in Foundation.Math.Trigonometry Methods pi :: Float # sin :: Float -> Float # cos :: Float -> Float # tan :: Float -> Float # asin :: Float -> Float # acos :: Float -> Float # atan :: Float -> Float # sinh :: Float -> Float # cosh :: Float -> Float # tanh :: Float -> Float # asinh :: Float -> Float # acosh :: Float -> Float # atanh :: Float -> Float #